Subject: Re: BDI2000 and failed MMU translations

From: Dan Malek <[email-masked]>
Date: Wed, 23 Jan 2002 17:51:10 -0500

Gessner, Matt wrote:

> It's straight 2_4.  I wasn't stopping at start_kernel though.

You don't need to stop anywhere unless there are some breakpoints
you want to set for early debug.

> I don't have PTBASE set up.

You need:
	MMU XLAT 0xc0000000
	PTBASE 0x000000f0

The newer kernels initialize the page table pointers for the BDI2000,
so ignore comments about stopping and setting values.  We went through
several iterations of implementation, so anything written about how to
do this manually is probably wrong :-).

> ...... I'm going to
> break at start kernel FIRST, then connect with BDI, then
> see if I can look at my data.

How do you break and then connect the BDI?  You need the BDI
connected to set and trap the breakpoint.

Have fun.

	-- Dan

** Sent via the linuxppc-embedded mail list. See http://lists.linuxppc.org/